/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilefunction
#define headerfilefunction

#include <iostream>
#include "log.h"
#include "item.h"




class Function
{

public:

	enum Code
	{
		none,
		ls,
		cat,
		node,
		emacs,
		mkdir,
		default_item,
		privileges,
		rm,
		login,
		logout
	};


	Code code;
	Item item;

	 
	Function();
	Function(const Function & f);
	Function & operator=(const Function & f);

};




#endif
